## synaesthesia 1.3

=== Makefile ===

CC=gcc -O4 -ffast-math -funroll-loops
#CC=gcc -g -pg -O4 -DPROFILE
#CC=gcc -g

# Try commenting out these lines if something goes bang
MITSHM=-DMITSHM
XEXT=-lXext

all : synaesthesia xsynaesthesia

synaesthesia : core.o main.o svga.o sound.o bitmap.o
	$(CC) core.o main.o svga.o sound.o bitmap.o -o synaesthesia -lm -lvga 
xsynaesthesia : core.o main.o xlibwrap.o xlib.o sound.o bitmap.o
	$(CC) core.o main.o xlibwrap.o xlib.o sound.o bitmap.o -o xsynaesthesia -lm -lvga -L /usr/X11R6/lib -lX11 $(XEXT) 
clean :
	rm *.o

core.o : core.cpp syna.h
	$(CC) -c core.cpp
main.o : main.cpp syna.h
	$(CC) -c main.cpp
sound.o : sound.cpp syna.h
	$(CC) -c sound.cpp
svga.o : svga.cpp syna.h
	$(CC) -c svga.cpp
xlib.o : xlib.c xlib.h
	$(CC) -c xlib.c $(MITSHM)
xlibwrap.o : xlibwrap.cpp xlib.h syna.h
	$(CC) -c xlibwrap.cpp $(MITSHM)
bitmap.o : bitmap.cpp bitmap.h symbol.h syna.h 
	$(CC) -c bitmap.cpp

## synaesthesia 1.4

=== Makefile ===

CC=g++ -O6 -ffast-math -funroll-loops -Wall
#CC=g++ -g -pg -O4 -DPROFILE
#CC=g++ -g

#Uncomment these lines to enable X shared memory extensions
# These should give a slightly better frame rate BUT there is a memory leak
# which I haven't been able to find.
#MITSHM=-DMITSHM
#XEXT=-lXext

# Choose installation directory
#INSTALLDIR=/usr/local/bin
INSTALLDIR=/usr/games

title : 
	@echo "Select one of the following:"
	@echo
	@echo "  make svga       - build using svgalib"
	@echo "  make x          - build using X windows"
	@echo "  make sdl        - build using Simple DirectMedia Layer library"
	@echo 
	@echo "To install the resulting binary into" $(INSTALLDIR) "type"
	@echo
	@echo "  make install"
	@echo
	@echo "(edit the make file to change the install directory)"

svga : core.o main.o svga.o sound.o bitmap.o
	$(CC) core.o main.o svga.o sound.o bitmap.o -o synaesthesia -lm -lvga 
x    : core.o main.o xlibwrap.o xlib.o sound.o bitmap.o
	$(CC) core.o main.o xlibwrap.o xlib.o sound.o bitmap.o -o synaesthesia -lm -L /usr/X11R6/lib -lX11 $(XEXT) 
sdl  : core.o main.o sdlwrap.o sound.o bitmap.o
	$(CC) core.o main.o sdlwrap.o sound.o bitmap.o -o synaesthesia -lm -lSDL -ldl

clean :
	rm -f *.o synaesthesia
install :
	install -s synaesthesia $(INSTALLDIR)/synaesthesia

core.o : core.cpp syna.h
	$(CC) -c core.cpp
main.o : main.cpp syna.h
	$(CC) -c main.cpp
sound.o : sound.cpp syna.h
	$(CC) -c sound.cpp
svga.o : svga.cpp syna.h
	$(CC) -c svga.cpp
xlib.o : xlib.c xlib.h
	gcc -O6 -c xlib.c $(MITSHM)
xlibwrap.o : xlibwrap.cpp xlib.h syna.h
	$(CC) -c xlibwrap.cpp $(MITSHM)
sdlwrap.o : sdlwrap.cpp syna.h
	$(CC) -c sdlwrap.cpp
bitmap.o : bitmap.cpp bitmap.h symbol.h syna.h 
	$(CC) -c bitmap.cpp

## synaesthesia 2.0

=== Makefile ===

CC=g++ -O6 -ffast-math -Wall -D_REENTRANT
#CC=g++ -g -pg -O4 -DPROFILE -D_REENTRANT
#CC=g++ -g -D_REENTRANT

#Uncomment these lines to enable X shared memory extensions
# These should give a slightly better frame rate BUT there is a memory leak
# which I haven't been able to find.
#MITSHM=-DMITSHM
#XEXT=-lXext

# Choose installation directory
#INSTALLDIR=/usr/local/bin
INSTALLDIR=/usr/games

all :
	@echo Now attempting to build Synaesthesia
	make synaesthesia ; make xsynaesthesia ; make sdlsynaesthesia ; true
	@echo
	@echo ===============================================
	@echo
	@echo The following versions were successfully built:
	@echo
	@ls *synaesthesia
	@echo
	@echo To install to $(INSTALLDIR) type
	@echo
	@echo "  make install"
	@echo
	@echo "(edit Makefile to change the install directory)"

synaesthesia : core.o main.o svga.o sound.o ui.o 
	$(CC) core.o main.o svga.o sound.o ui.o -o synaesthesia -lm -lvga 

xsynaesthesia    : core.o main.o xlibwrap.o xlib.o sound.o ui.o 
	$(CC) core.o main.o xlibwrap.o xlib.o sound.o ui.o -o xsynaesthesia -lm -L /usr/X11R6/lib -lX11 $(XEXT) 

sdlsynaesthesia  : core.o main.o sdlwrap.o sound.o ui.o 
	$(CC) core.o main.o sdlwrap.o sound.o ui.o -o sdlsynaesthesia -lm -lSDL -ldl -lpthread

clean :
	rm -f *.o *~ synaesthesia xsynaesthesia sdlsynaesthesia core

install :
	install -s synaesthesia $(INSTALLDIR)/synaesthesia ; \
	install -s xsynaesthesia $(INSTALLDIR)/xsynaesthesia ; \
	install -s sdlsynaesthesia $(INSTALLDIR)/sdlsynaesthesia ; true

core.o : core.cpp syna.h
	$(CC) -c core.cpp
main.o : main.cpp syna.h polygon.h
	$(CC) -c main.cpp
sound.o : sound.cpp syna.h
	$(CC) -c sound.cpp
ui.o : ui.cpp syna.h icons.h polygon.h
	$(CC) -c ui.cpp
svga.o : svga.cpp syna.h
	$(CC) -c svga.cpp
xlib.o : xlib.c xlib.h
	gcc -O6 -c xlib.c $(MITSHM) -I/usr/X11R6/include
xlibwrap.o : xlibwrap.cpp xlib.h syna.h
	$(CC) -c xlibwrap.cpp $(MITSHM) -I/usr/X11R6/include
sdlwrap.o : sdlwrap.cpp syna.h
	$(CC) -c sdlwrap.cpp

## synaesthesia 2.2-1

=== debian/changelog ===
synaesthesia (2.2-1) unstable; urgency=low

  * New upstream release.
    - incorporates 64-bit fixes from #169459

 -- Devin Carraway <devin@debian.org>  Fri,  8 Aug 2003 01:35:07 -0700

synaesthesia (2.1-5) unstable; urgency=low

  * Patch out incorrect assumption about sizeof(unsigned long) in
    drawing and pipe-method sound code (Closes: #169459)
  * Adjust debian/rules to stop redundantly configuring
  * Adjust menu entries to supply more useful input options

 -- Devin Carraway <devin@debian.org>  Sun, 25 May 2003 02:15:54 -0700

synaesthesia (2.1-4) unstable; urgency=low

  * Fix incredibly stupid breakage-inducing thinko in devfs patch

 -- Devin Carraway <devin@debian.org>  Mon, 12 May 2003 01:06:32 -0700

synaesthesia (2.1-3) unstable; urgency=low

  * Change of maintainer (Closes: #192671)
  * Standards-Version 3.5.9
  * Incorporate past NMUs (Closes: #116520, #170131, #117356)
  * Reword package description (Closes: #131308)
  * Convert build to use debhelper, make lintian-clean (Closes: #117357)
  * Expand menu entries for different audio sources
  * Supply a real manpage (Closes: #84724)
  * Patch in support for devfs sound devices (Closes: #82224)

 -- Devin Carraway <devin@debian.org>  Sat, 10 May 2003 23:00:21 -0700

synaesthesia (2.1-2.2) unstable; urgency=low

  * NMU
  * Correct xlib6g-dev to xlibs-dev in Build-Depends.  Closes: #170131.

 -- Daniel Schepler <schepler@debian.org>  Sat, 15 Mar 2003 00:46:43 -0800

synaesthesia (2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on newest libsdl1.2-dev to pick up correct libsdl1.2
    dependency. (Closes: #116520)

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 21 Oct 2001 16:24:25 +0200

synaesthesia (2.1-2) unstable; urgency=low

  * Update to standards version 3.5.5.
  * Recompile for new sdl library. (closes: #102868)
  * Provide dummy svgalib dependency. (closes: #83889)

 -- Martin Mitchell <martin@debian.org>  Sun,  1 Jul 2001 15:07:06 +1000

synaesthesia (2.1-1) unstable; urgency=low

  * New upstream release.
  * Update to standards version 3.2.1.
  * Remove suidregister support. (closes: #67997)

 -- Martin Mitchell <martin@debian.org>  Sun, 28 Jan 2001 00:42:20 +1100

synaesthesia (2.0-2) unstable; urgency=low

  * Update to standards version 3.1.1.
  * Verify 24bit colour now works. (closes: #24811)
  * Fix postinst for non-x86. (closes: #56990)

 -- Martin Mitchell <martin@debian.org>  Sun, 16 Apr 2000 23:28:24 +1000

synaesthesia (2.0-1) unstable; urgency=low

  * New upstream release.
  * Update to standards version 3.0.1.

 -- Martin Mitchell <martin@debian.org>  Tue, 10 Aug 1999 12:42:51 +1000

synaesthesia (1.6-3) unstable; urgency=low

  * Fix dependency determination in rules file.

 -- Martin Mitchell <martin@debian.org>  Thu, 11 Mar 1999 00:38:02 +1100

synaesthesia (1.6-2) unstable; urgency=low

  * Minor portability fixes - build svga version on i386 only. (#34237)

 -- Martin Mitchell <martin@debian.org>  Tue,  9 Mar 1999 01:16:27 +1100

synaesthesia (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Martin Mitchell <martin@debian.org>  Sat,  6 Mar 1999 23:54:37 +1100

synaesthesia (1.4-4) unstable; urgency=low

  * Add suidregister support. (#31361)

 -- Martin Mitchell <martin@debian.org>  Sun, 10 Jan 1999 15:35:31 +1100

synaesthesia (1.4-3) unstable; urgency=low

  * Remove icon tag from menu file.

 -- Martin Mitchell <martin@debian.org>  Fri, 11 Sep 1998 01:13:09 +1000

synaesthesia (1.4-2) unstable; urgency=low

  * Minor source changes for powerpc compilation.
  * Hack debian/rules to include svgalib-dummyg1. (#24959)

 -- Martin Mitchell <martin@debian.org>  Thu,  3 Sep 1998 01:44:29 +1000

synaesthesia (1.4-1) unstable; urgency=low

  * New upstream release.
  * Update package description to mention pipes, which may be used to
    display mp3 or wav files.

 -- Martin Mitchell <martin@debian.org>  Mon, 17 Aug 1998 03:12:54 +1000

synaesthesia (1.3-4) frozen unstable; urgency=low

  * Update to Standards Version 2.4.1.
  * Fix problem starting synaesthesia on some cdroms. (#20888)
  * Update package description.

 -- Martin Mitchell <martin@debian.org>  Sat, 16 May 1998 06:06:23 +1000

synaesthesia (1.3-3) frozen unstable; urgency=low

  * Update to Standards Version 2.4.0.0.
  * Make menu entry start the cd player.

 -- Martin Mitchell <martin@debian.org>  Wed,  1 Apr 1998 00:26:35 +1000

synaesthesia (1.3-2) unstable; urgency=low

  * Include menu file in package. (#19242)

 -- Martin Mitchell <martin@debian.org>  Thu, 12 Mar 1998 17:23:28 +1100

synaesthesia (1.3-1) unstable; urgency=low

  * New upstream release. (#18781)
  * X support included. (#18781)
  * Include menu support. (#18780)

 -- Martin Mitchell <martin@debian.org>  Mon,  9 Mar 1998 19:19:37 +1100

synaesthesia (1.2-1) unstable; urgency=low

  * Initial release.

 -- Martin Mitchell <martin@debian.org>  Sun, 21 Dec 1997 18:25:32 +1100

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

include /usr/share/dpatch/dpatch.make

configure: patch configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CPPFLAGS=-g
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf configure-stamp build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=debian/synaesthesia


binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs
	dh_installman debian/synaesthesia.1
	dh_installmenu debian/menu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## synaesthesia 2.2-1ubuntu0.1

=== debian/changelog ===
synaesthesia (2.2-1ubuntu0.1) warty-security; urgency=low

  * SECURTY UPDATE: privilege escalation
  * main.cc:
    sound.cc:
    - Applied patch from Debian Team to avoid the reading of arbitrary files
  * References:
    - CAN-2005-0070
    - DSA-681-1

 -- Gerardo Di Giacomo <gerardo@linux.it>  Mon, 21 Feb 2005 09:55:44 +0000

=== debian/control ===
Source: synaesthesia
Section: sound
Priority: optional
Maintainer: Devin Carraway <devin@debian.org>
Build-Depends: svgalibg1-dev [i386], libsdl1.2-dev (>= 1.2.2-3.1), libesd0-dev, xlibs-dev, debhelper (>> 4.0), dpatch
Standards-Version: 3.5.9

Package: synaesthesia
Architecture: any
Conflicts: suidmanager (<< 0.50)
Depends: ${shlibs:Depends}
Description: A program for representing sounds visually
 This is a program for representing music graphically, as a curuscating
 field of fog, stars and/or glowing lines.  It is intended as a visual
 accompaniment to music.  The representation goes beyond conventional
 freqency analysis displays by combining a fourier analysis with stereo
 positioning information, making it possible to distinguish individual
 intruments, vocalists or effects by location, shape and color.
 .
 Sound inputs can be obtained from a CD, line input, the ESD sound daemon
 or via piped-in PCM data.

## synaesthesia 2.4

=== debian/changelog ===
synaesthesia (2.4-5) unstable; urgency=medium

  * Reupload with upgraded maintainer key

 -- Devin Carraway <devin@debian.org>  Sun, 12 Jan 2014 22:43:26 -0800

synaesthesia (2.4-4) unstable; urgency=low

  * Remove libsvga support (Closes: #711552, #388588)
  * Standards-version 3.9.4
  * Use dpkg-buildflags
  * Recommend pulseaudio-esound-compat, since synaesthesia's audio interfaces
    haven't been updated since the ESD era; add README.Debian discussion of
    the issues

 -- Devin Carraway <devin@debian.org>  Mon, 01 Jul 2013 15:12:49 -0700

synaesthesia (2.4-3) unstable; urgency=low

  * Convert to dpkg-source 3.0 (quilt)
  * Standards-version 3.9.2
  * bug647963-fix_hurd-i386_ftbfs.patch: Fix FTBFS on hurd-i386 (Closes:
    #647963)

 -- Devin Carraway <devin@debian.org>  Tue, 17 Jan 2012 22:42:26 -0800

synaesthesia (2.4-2) unstable; urgency=low

  * Switch build-depends from svgalib1-dev to libsvga1-dev (Closes:
    #483454)
  * Standards-Version 3.8.0
  * Make lintian-clean again:
    + Fix menu section from "Apps" to "Applications"
    + Explicit copyright notice
    + Tweak debian/rules clean target
    + Add DP: comments to dpatch

 -- Devin Carraway <devin@debian.org>  Sun, 08 Jun 2008 22:50:15 -0700

synaesthesia (2.4-1) unstable; urgency=low

  * New upstream version
    + Incorporates Aurelien Jarno's patch to fix builds on FreeBSD, so
      removing freebsd-sounddevs.dpatch
  * Standards-Version 3.7.2

 -- Devin Carraway <devin@debian.org>  Sun,  9 Jul 2006 02:07:46 -0700

synaesthesia (2.3-3) unstable; urgency=low

  * Apply patch from Aurelien Jarno to fix FTBFS on Debian/kFreeBSD
    (Closes: #336874)

 -- Devin Carraway <devin@debian.org>  Wed,  9 Nov 2005 00:14:40 -0800

synaesthesia (2.3-2) unstable; urgency=low

  * Rebuild for gcc4 ABI changes
  * Standards-Version 3.6.2
  * Rearrange build-deps for xorg's new scheme

 -- Devin Carraway <devin@debian.org>  Tue,  2 Aug 2005 00:01:01 -0700

synaesthesia (2.3-1) unstable; urgency=low

  * New upstream version, primarily focused on gcc 3.4 fixes
  * Restore and update debian/watch
  * Update upstream sources location

 -- Devin Carraway <devin@debian.org>  Wed, 15 Jun 2005 02:15:46 -0700

synaesthesia (2.2-4) unstable; urgency=low

  * Brown-paper-bag correction to gcc3.4 FTBFS patch; thanks to Andreas
    Jochens for the correction.  (Closes: #273612)

 -- Devin Carraway <devin@debian.org>  Sat,  2 Oct 2004 18:09:13 -0700

synaesthesia (2.2-3) unstable; urgency=low

  * Standards-version 3.6.1
  * Apply fix for #263812 with a correctly ordered patch this time
    (Closes: #273173)

 -- Devin Carraway <devin@debian.org>  Sun, 26 Sep 2004 03:11:03 -0700

synaesthesia (2.2-2) unstable; urgency=low

  * Fix FTBFS under gcc-3.4 relating to use of unqualified variable
    names in template class definition (Closes: #263812)

 -- Devin Carraway <devin@debian.org>  Wed, 11 Aug 2004 01:08:09 -0700

=== debian/rules ===
#!/usr/bin/make -f
# $Id$

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

clean:
	dh_testdir
	dh_testroot
	dh_autotools-dev_restoreconfig
	rm -rf configure-stamp build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log
	dh_clean

configure: configure-stamp
configure-stamp: config.status
config.status:
	dh_testdir
	dh_auto_configure -- --disable-rpath
	dh_autotools-dev_updateconfig
	
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) CPPFLAGS=-g
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=debian/synaesthesia


binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installchangelogs
	dh_installman debian/synaesthesia.1
	dh_installmenu debian/menu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.logarithmic.net/pfh/synaesthesia \
	(?:.*/)?synaesthesia-([\d.]+).tar.gz
